package com.care.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CareEventOrder;
import com.care.common.vo.PageReqVO;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.vo.event.CareEventOrderVO;

/**
 * 事件定单表(CareEventOrder)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:29
 */
public interface CareEventOrderService extends IService<CareEventOrder> {

    /**
     * 事件查询
     * @param orderStatus
     * @param olderName
     * @param loginUser
     * @param pageReqVo
     * @return
     */
    IPage<CareEventOrderVO> listEvent(String orderStatus, String olderName, UserLogindConvertVO loginUser, PageReqVO pageReqVo);

    /**
     * 我的处理事件 - 坐席
     * @param orderStatus
     * @param olderName
     * @param loginUser
     * @param pageReqVo
     * @return
     */
    IPage<CareEventOrderVO> listEvent4MyDo(String orderStatus, String olderName, UserLogindConvertVO loginUser, PageReqVO pageReqVo);
}