package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OlderStatusEnum {
    /**
     *
     */
    ZHENGCHANG("10","正常"),
    LIKAI_FANGJIAN("11","离开房间"),
    JIUZHI("21","久滞"),
    DIEDAO("22",""),
    ZHUICHUANG("23","坠床"),
    ZHUDONGHUJIAO("31","4主动呼叫"),
    HUWAIHUJIAO("32","户外呼叫");
    private String value;
    private String name;
    OlderStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (ZHENGCHANG.getValue().equals(code)){
            return  ZHENGCHANG.name;
        }else if (LIKAI_FANGJIAN.getValue().equals(code)){
            return  LIKAI_FANGJIAN.name;
        }else if (DIEDAO.getValue().equals(code)){
            return  DIEDAO.name;
        }else if (JIUZHI.getValue().equals(code)){
            return JIUZHI.name;
        }else if (ZHUICHUANG.getValue().equals(code)){
            return ZHUICHUANG.name;
        }else if (ZHUDONGHUJIAO.getValue().equals(code)){
            return ZHUDONGHUJIAO.name;
        }else if (HUWAIHUJIAO.getValue().equals(code)){
            return HUWAIHUJIAO.name;
        }

        return null;
    }
}
